source: general/genlib/libusb-compat.xml@ 4949485e

10.0 10.1 11.0 7.10 7.4 7.5 7.6 7.6-blfs 7.6-systemd 7.7 7.8 7.9 8.0 8.1 8.2 8.3 8.4 9.0 9.1 basic bdubbs/svn elogind gnome kde5-13430 kde5-14269 kde5-14686 ken/refactor-virt krejzi/svn lazarus nosym perl-modules qt5new systemd-11177 systemd-13485 trunk xry111/git-date xry111/git-date-for-trunk xry111/git-date-test
Last change on this file since 4949485e was 4949485e, checked in by Ken Moffat <ken@…>, 10 years ago

From the Lost Property Office. Second attempt to check this in, first failed without me noticing! On the face of it, multimedia/ already had the properties, but they didn't show in svn proplist -v.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@9195 af4574ff-66df-0310-9fd7-8a98e5e911e0

  • Property mode set to 100644
File size: 4.1 KB
Line 
1<?xml version="1.0" encoding="ISO-8859-1"?>
2<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
3 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
4 <!ENTITY % general-entities SYSTEM "../../general.ent">
5 %general-entities;
6
7 <!ENTITY libusb-compat-download-http "&sourceforge-repo;/libusb/libusb-compat-&libusb-compat-version;.tar.bz2">
8 <!ENTITY libusb-compat-download-ftp "&sources-anduin-ftp;/l/libusb-compat-&libusb-compat-version;.tar.bz2">
9 <!ENTITY libusb-compat-md5sum "570ac2ea085b80d1f74ddc7c6a93c0eb">
10 <!ENTITY libusb-compat-size "246 KB">
11 <!ENTITY libusb-compat-buildsize "2.0 MB">
12 <!ENTITY libusb-compat-time "less than 0.1 SBU">
13]>
14
15<sect1 id="libusb-compat" xreflabel="libusb-compat-&libusb-compat-version;">
16 <?dbhtml filename="libusb-compat.html"?>
17
18 <sect1info>
19 <othername>$LastChangedBy$</othername>
20 <date>$Date$</date>
21 </sect1info>
22
23 <title>libusb-compat-&libusb-compat-version;</title>
24
25 <indexterm zone="libusb-compat">
26 <primary sortas="a-Libusb-compat">Libusb-compat</primary>
27 </indexterm>
28
29 <sect2 role="package">
30 <title>Introduction to libusb-compat</title>
31
32 <para>The <application>libusb-compat</application> package aims to look,
33 feel and behave exactly like <application>libusb-0.1</application>. It is a
34 compatibility layer needed by packages that have not upgraded to the
35 <application>libusb-1</application> API.</para>
36
37 &lfs65_checked;
38
39 <bridgehead renderas="sect3">Package Information</bridgehead>
40 <itemizedlist spacing="compact">
41 <listitem>
42 <para>Download (HTTP): <ulink url="&libusb-compat-download-http;"/></para>
43 </listitem>
44 <listitem>
45 <para>Download (FTP): <ulink url="&libusb-compat-download-ftp;"/></para>
46 </listitem>
47 <listitem>
48 <para>Download MD5 sum: &libusb-compat-md5sum;</para>
49 </listitem>
50 <listitem>
51 <para>Download size: &libusb-compat-size;</para>
52 </listitem>
53 <listitem>
54 <para>Estimated disk space required: &libusb-compat-buildsize;</para>
55 </listitem>
56 <listitem>
57 <para>Estimated build time: &libusb-compat-time;</para>
58 </listitem>
59 </itemizedlist>
60
61 <bridgehead renderas="sect3">libusb-compat Dependencies</bridgehead>
62
63 <bridgehead renderas="sect4">Required</bridgehead>
64 <para role="required"><!-- <xref linkend="pkgconfig"/> and -->
65 <xref linkend="libusb"/></para>
66
67 <para condition="html" role="usernotes">User Notes:
68 <ulink url="&blfs-wiki;/libusb-compat"/></para>
69
70 </sect2>
71
72 <sect2 role="installation">
73 <title>Installation of libusb-compat</title>
74
75 <para>Install <application>libusb-compat</application> by running the
76 following commands:</para>
77
78<screen><userinput>./configure --prefix=/usr &amp;&amp;
79make</userinput></screen>
80
81 <para>This package does not come with a test suite.</para>
82
83 <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
84
85<screen role="root"><userinput>make install</userinput></screen>
86
87 </sect2>
88
89 <sect2 role="content">
90 <title>Contents</title>
91
92 <segmentedlist>
93 <segtitle>Installed Program</segtitle>
94 <segtitle>Installed Library</segtitle>
95 <segtitle>Installed Directories</segtitle>
96
97 <seglistitem>
98 <seg>libusb-config</seg>
99 <seg>libusb.{so,a}</seg>
100 <seg>None</seg>
101 </seglistitem>
102 </segmentedlist>
103
104 <variablelist>
105 <bridgehead renderas="sect3">Short Descriptions</bridgehead>
106 <?dbfo list-presentation="list"?>
107 <?dbhtml list-presentation="table"?>
108
109 <varlistentry id="libusb-compat-lib">
110 <term><filename class='libraryfile'>libusb.{so,a}</filename></term>
111 <listitem>
112 <para>Libraries that are compatible with
113 <application>libusb-0.1</application>, but use
114 <application>libusb-1.0</application> to provide functionality.</para>
115 <indexterm zone="libusb-compat libusb-compat-lib">
116 <primary sortas="c-libusb-compat">libusb-1.0.{so,a}</primary>
117 </indexterm>
118 </listitem>
119 </varlistentry>
120
121 </variablelist>
122
123 </sect2>
124
125</sect1>
Note: See TracBrowser for help on using the repository browser.